<div class="container product">
    <div class="row">
        <div class="col-6">
            <mat-form-field class="input-fluid">
                <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
            </mat-form-field>
        </div>
        <div class="col-6">
            <button mat-raised-button color="primary" routerLink="create">Create new product</button>
        </div>
    </div>
    <div class="mat-elevation-z8">
        <table mat-table [dataSource]="dataSource" matSort multiTemplateDataRows>
            <ng-container matColumnDef="{{column}}" *ngFor="let column of displayedColumns">
                <th mat-header-cell *matHeaderCellDef> {{column}} </th>
                <td mat-cell *matCellDef="let element"> {{element[column]}} </td>
            </ng-container>
            <ng-container matColumnDef="expandedDetail">
                <td mat-cell *matCellDef="let element" [attr.colspan]="displayedColumns.length">
                    <div class="element-detail" [@detailExpand]="element == expandedElement ? 'expanded' : 'collapsed'">
                        <div class="product-expanded row" style="margin: 16px;">
                            <div class="col-3">
                                <img class="product-image" src="{{element.imageURL}}" *ngIf="element.imageURL" />
                                <img class="product-image" src="assets/image.svg" *ngIf="!element.imageURL" />
                            </div>
                            <div class="col-9">
                                <div class="product-detail">
                                    <div class="product-description">
                                        {{element.shortDescription}}
                                        <a routerLink="view/{{element.id}}">View detail</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let element; columns: displayedColumns;" class="element-row"
                [class.expanded-row]="expandedElement === element"
                (click)="expandedElement = expandedElement === element ? null : element">
            </tr>
            <tr mat-row *matRowDef="let row; columns: ['expandedDetail']" class="detail-row"></tr>
        </table>
        <mat-paginator [pageSizeOptions]="[10, 50, 100]"></mat-paginator>
    </div>
</div>
